
cap log c
log using WageRegressions2.log, replace



*WAGE REGRESSIONS HHI 2-digits (Table 2.9)


					* load data
					use prewage, clear
					* drop useless vars
					drop ce entsir ancsir
					

					* limiting sample to fulltimers
						keep if ftpt==1
					
					* merging with appropriate presence/absence indicators the year before
						sort nninouv sircom sir an
						merge 1:1 nninouv sircom sir an using P1sircom
						drop if _m==2
						drop _m
					
					drop P1m
					sort nninouv an
					merge m:1 nninouv an using P1
					drop if _m==2
					drop _m

					* new hire and employed the year before indicators
					ge Hire=(P1ysir!=1)
					ge Emp1y=(Hire*P1y==1)
					drop P1*
					
					* creating appropriate 2-digit occupation variables
					replace pcs=pcs2
					replace occ=occ2
					drop cluster
					egen cluster=group(geo occ an)
					
					* merging with HHI data
					sort fuaX pcs year			
					merge m:1 fuaX pcs year using HHI\HHI1_HPsircomtfuaX_pcs21	
					keep if _m==3
					drop _m	
					*creating logs
					ge logShare_E=log(Share_E)
					
					*merging with instruments
					merge m:1 fuaX pcs year using HHI_IV\FIN_HHI1_HPsircomtfuaX_pcs21	
					drop if _m==2
					drop _m
					
					
					
					compress
					
*1
global fixed = "id occ#geo firm#mun#an firm#nic age ftpt Hire Emp1y "

disp "dwage  MODEL 1"
disp "IV"
ivreghdfe dwage (logShare_E=IV_mH), absorb($fixed)  cluster(cluster) 


cap log c



	
