*************************************
* GEN RACCORDO CP a V D -ISCO A IV D
*************************************

clear all
set more off 
cap log close 


** 0. elenco isco08, da V a I digit 
import excel ${material}/isco08_ilo_classification.xlsx, clear firstrow
keep if Level == 4
gen isco08_4d = substr(E,3,4)
duplicates drop isco08_4d, force
forvalues i = 1/3 {
 gen isco08_`i'd = substr(isco08_4d,1,`i')
}
keep isco08_*d Description 
tempfile t0
tab isco08_1d
save   ${material}/isco08_da_IV_a_I.dta, replace 

** 1. elenco cp11 da I a V digit, con raccordo ufficiale di fonte Istat tra cp11 a V d e isco08 a III d
import excel ${material}/raccordo_Isco08_CP2011-1.xls, firstrow clear 
drop in 1 
keep ISCO08 CP2011 B D
rename (ISCO08 CP2011 B D) (isco08_3d temp des_isco3d des_cp5d)
gen cp11_5d = subinstr(temp,".","",.)
forvalues i = 1/4 {
 gen cp11_`i'd = substr(cp11_5d,1,`i')
} 

save ${material}/cp11_da_V_a_1.dta, replace

* 2. raccordo tra cp11 a V d e isco08 a IV d fatto da me

import excel ${material}/raccordo_iscoIV_cpV_bdi.xlsx, sheet("raccordo") firstrow clear
missings dropobs, force 
tostring cp11_5d cp11_4d isco08_*d*, replace 
gen l = length(isco08_3d)
replace isco08_3d = "0"+isco08_3d if l < 3
drop l 
forvalues i = 1/4 {
 gen l = length(isco08_4d_`i')
 replace isco08_4d_`i' = "0" + isco08_4d_`i' if isco08_4d_`i' != "." & l < 4
 drop l
}

rename isco08_4d_1 isco08_4d 
keep cp11_5d isco08_4*

save ${dta}/raccordo_iscoIV_cpV_bdi.dta, replace 





 
